# Module `src.communicatorutils.restarttor`

Expand source code

    import netcontroller
    import config

    def restart(comm_inst):
        if not config.get('tor.use_existing_tor', False):
            net = comm_inst.shared_state.get(netcontroller.NetController)
            net.killTor()
            net.startTor()

## Functions

`def restart(comm_inst)`
  Expand source code

      def restart(comm_inst):
          if not config.get('tor.use_existing_tor', False):
              net = comm_inst.shared_state.get(netcontroller.NetController)
              net.killTor()
              net.startTor()